]> arthur.barton.de Git - bup.git/blobdiff - t/cleanup-mounts-under
Have clean depend on bup-python so tools can too
[bup.git] / t / cleanup-mounts-under
index 9a72dedd87dba85722a703e8cb25fbe8c2dc2d91..88851e3ecf869c283e49f80f2ff8267816079d45 100755 (executable)
@@ -1,7 +1,8 @@
-#!/usr/bin/env python
-
-# This cannot rely on bup-python because it runs during clean, and so
-# it also needs to be compatible with Python 2 and 3.
+#!/bin/sh
+"""": # -*-python-*-
+bup_python="$(dirname "$0")/../cmd/bup-python" || exit $?
+exec "$bup_python" "$0" ${1+"$@"}
+"""
 
 import os.path, re, subprocess, sys